Bug 120420 - [sk98lin] Kernel hangs a boot time: BUG at /fs/proc/generic.c
[sk98lin] Kernel hangs a boot time: BUG at /fs/proc/generic.c
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-08 12:37 EDT by Eelco Hoekema
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 04:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eelco Hoekema 2004-04-08 12:37:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Epiphany/1.0.8

Description of problem:
I 've installed FC2T2 on an Asus A7v600. Install goes OK (allthough i
need to unplug all USB devices since loading the USB storage driver
hangs if i don't). 
The first few times that i boot the system, it starts fine. But after
that, it allways stalls just after entering runlevel 5, probing for
new hardware, updating fstab.

In most cases, i get a kernel bug output as copied to the additional
information, but sometimes i don't. The error doesn't show in
/var/log/dmesg.

I made a picture of the screen, and retyped it myself (the last digits
of the stack are missing, but those are not visible on my screen -
need a smaller font, i guess):

kernel BUG at dfs/proc/generic.c:664!
invalid operand: 0000 [#1]
CPU: 0
EIP: 0060:[<021a4a5f>] Not tainted
EFLAGS: 00010206 (2.6.3-2.1.253.2.1)
EIP is at remove_proc_entry+0xa5/0xf6
eax: 00000001  ebx: 3d468494  ecx: 00000000  edx: 41fe0a50
esiL 41de0a80  edi: 3d46844c  ebp: 00000007  esp: 404daf54
ds: 007b  es: 007b  ss: 0068
Process modprobe (pid: 1448, threadinfo=404da000 task=40a28080)
Stack: 41fe0a50 3d468494 42ba6380 00000000 0230fe60 404da000 0213d9b9
00000
       38396b73 006e696c 00000246 00000000 41fa99a8 402d3678 f7001000
02159
       41fa99a8 f7002000 021596c2 4044f65c 41fa99a8 41fa99d0 00000000
404da
Call Trace:
 [<0213d9b9>] sys_delete_module+0xde/0x11e
 [<021591b1>] unmap_vma_list+0xe/0x17
 [<021591c2>] do_munmap+0x1dc/0x1e6

Code: 0f 0b 98 02 41 15 2e 02 8b 47 40 85 c0 75 09 89 f8 e8 0d ff

I installed twice, and for both installs, the problem occurs.

Version-Release number of selected component (if applicable):
kernel-2.6.3-2.1.253.2.1

How reproducible:
Always

Steps to Reproduce:
1.Install Fedora Core 2 Test 2
2.Boot/reboot a few times
3.Boot
    

Actual Results:  Kernel bug (see additional information). Boot process
stops. 

Expected Results:  Regular boot.

Additional info:
Comment 1 Eelco Hoekema 2004-04-08 12:38:18 EDT
lspci output (same machine, but Fedora Core 1 boot):
                                ^^^^^^^^^^^^^

00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400 AGP] Host
Bridge (rev 80)
	Subsystem: Asustek Computer, Inc. A7V8X motherboard
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR-
	Latency: 0
	Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [80] AGP version 3.5
		Status: RQ=31 SBA+ 64bit- FW- Rate=x1,x2,x4
		Command: RQ=0 SBA- AGP- 64bit- FW- Rate=<none>
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge (prog-if
00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: de000000-deffffff
	Prefetchable memory behind bridge: e0000000-f7ffffff
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:09.0 Ethernet controller: 3Com Corporation 3c940 1000Base? (rev 12)
	Subsystem: Asustek Computer, Inc.: Unknown device 80eb
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (5750ns min, 7750ns max), cache line size 08
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at dd800000 (32-bit, non-prefetchable) [size=16K]
	Region 1: I/O ports at b800 [size=256]
	Capabilities: [48] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=7 DScale=1 PME-
	Capabilities: [50] Vital Product Data

00:0b.0 Multimedia video controller: Brooktree Corporation Bt878 Video
Capture (rev 11)
	Subsystem: Hauppauge computer works Inc. WinTV Series
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (4000ns min, 10000ns max)
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at df800000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:0b.1 Multimedia controller: Brooktree Corporation Bt878 Audio
Capture (rev 11)
	Subsystem: Hauppauge computer works Inc. WinTV Series
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (1000ns min, 63750ns max)
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at df000000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:0d.0 PCI bridge: Hint Corp HB6 Universal PCI-PCI bridge
(non-transparent mode) (rev 11) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32, cache line size 08
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
	Memory behind bridge: db800000-dd7fffff
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
		Bridge: PM- B3+
	Capabilities: [90] #06 [0080]

00:0f.0 RAID bus controller: VIA Technologies, Inc.: Unknown device
3149 (rev 80)
	Subsystem: VIA Technologies, Inc.: Unknown device 3149
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at a800 [size=8]
	Region 1: I/O ports at a400 [size=4]
	Region 2: I/O ports at a000 [size=8]
	Region 3: I/O ports at 9800 [size=4]
	Region 4: I/O ports at 9400 [size=16]
	Region 5: I/O ports at 9000 [size=256]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE (rev
06) (prog-if 8a [Master SecP PriP])
	Subsystem: Asustek Computer, Inc.: Unknown device 80ed
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32
	Interrupt: pin A routed to IRQ 3
	Region 4: I/O ports at 8800 [size=16]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:10.0 USB Controller: VIA Technologies, Inc. USB (rev 81) (prog-if
00 [UHCI])
	Subsystem: Asustek Computer, Inc.: Unknown device 80ed
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32, cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 4: I/O ports at 8400 [size=32]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:10.1 USB Controller: VIA Technologies, Inc. USB (rev 81) (prog-if
00 [UHCI])
	Subsystem: Asustek Computer, Inc.: Unknown device 80ed
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32, cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 4: I/O ports at 8000 [size=32]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:10.2 USB Controller: VIA Technologies, Inc. USB (rev 81) (prog-if
00 [UHCI])
	Subsystem: Asustek Computer, Inc.: Unknown device 80ed
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32, cache line size 08
	Interrupt: pin B routed to IRQ 10
	Region 4: I/O ports at 7800 [size=32]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:10.3 USB Controller: VIA Technologies, Inc. USB (rev 81) (prog-if
00 [UHCI])
	Subsystem: Asustek Computer, Inc.: Unknown device 80ed
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32, cache line size 08
	Interrupt: pin B routed to IRQ 10
	Region 4: I/O ports at 7400 [size=32]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
(prog-if 20 [EHCI])
	Subsystem: Asustek Computer, Inc.: Unknown device 80ed
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32, cache line size 10
	Interrupt: pin C routed to IRQ 5
	Region 0: Memory at db000000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:11.0 ISA bridge: VIA Technologies, Inc.: Unknown device 3227
	Subsystem: Asustek Computer, Inc.: Unknown device 80ed
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235 AC97 Audio Controller (rev 60)
	Subsystem: Asustek Computer, Inc.: Unknown device 80b0
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Interrupt: pin C routed to IRQ 5
	Region 0: I/O ports at e000 [size=256]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 If
[Radeon 9000] (rev 01) (prog-if 00 [VGA])
	Subsystem: Hercules: Unknown device 0012
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (2000ns min), cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at d800 [size=256]
	Region 2: Memory at de800000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at effe0000 [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
		Status: RQ=47 SBA+ 64bit- FW+ Rate=x1,x2,x4
		Command: RQ=0 SBA+ AGP- 64bit- FW- Rate=<none>
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:00.1 Display controller: ATI Technologies Inc Radeon R250 [Radeon
9000] (Secondary) (rev 01)
	Subsystem: Hercules: Unknown device 0013
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (2000ns min), cache line size 08
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at de000000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:08.0 FireWire (IEEE 1394): Lucent Microelectronics FW323 (rev 04)
(prog-if 10 [OHCI])
	Subsystem: Lucent Microelectronics FW323
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (3000ns min, 6000ns max), cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at dd000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME+

02:09.0 USB Controller: NEC Corporation USB (rev 41) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation USB
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (250ns min, 10500ns max), cache line size 08
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at dc800000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:09.1 USB Controller: NEC Corporation USB (rev 41) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation USB
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (250ns min, 10500ns max), cache line size 08
	Interrupt: pin B routed to IRQ 5
	Region 0: Memory at dc000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:09.2 USB Controller: NEC Corporation USB 2.0 (rev 02) (prog-if 20
[EHCI])
	Subsystem: Unknown device 0ee4:3383
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (4000ns min, 8500ns max), cache line size 10
	Interrupt: pin C routed to IRQ 9
	Region 0: Memory at db800000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Comment 2 Eelco Hoekema 2004-04-08 12:40:09 EDT
the last few lines of /var/log/dmesg:

kjournald starting.  Commit interval 5 seconds
EXT3 FS on hdb2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hdb9, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
ohci1394: $Rev: 1172 $ Ben Collins <bcollins@debian.org>
ohci1394: fw-host0: Unexpected PCI resource length of 1000!
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[11] 
MMIO=[dd000000-dd0007ff]  Max Packet=[2048]
Comment 3 Tino Meinen 2004-04-08 15:26:40 EDT
I just finished installing FC2t2 and i see the same bug.
(It consistently fails to boot for me however)

One question for Eelco: Did you perhaps make a typing error?
I get: 
kernel BUG at fs/proc/generic.c:664!    instead of
kernel BUG at dfs/proc/generic.c:664!

and I get:
sys_delete_module+0xfe/0x11e   instead of
sys_delete_module+0xde/0x11e

Better change to a more discriptive summary title such as:
Kernel hangs a boot time: BUG at /fs/proc/generic.c

Tino Meinen
Comment 4 Eelco Hoekema 2004-04-08 16:39:56 EDT
No, it is fs, not dfs. But nevertheless i can't rule out typo's, so
i've put up a picture of my screen at:

http://www.xs4all.nl/~ehoekema/img/120420.jpg

Changed title as proposed. Thanks.
Comment 5 Aaron VanDevender 2004-04-12 12:18:37 EDT
I get this same problem, also with an Asus A7V600, but I get it every
boot, not just after the first few. Also, I didn't have to unplug any
USB devices to get it to install. That worked with no problem. I tried
booting into rescue mode, and played around with /etc/init.d/kudzu. It
seems to be freezing on the "action updfstab" line, and so I put in a
line before that which would run updfstab -t to just print out the
fstab it was trying to create, thinking that maybe it was hanging on
the writing step, but it stoped on the test as well. I tried the test
with and without the --skipprobe option and got the same results. So
if the problem isn't probing hardware, reading configs, or writing to
the /etc/fstab file, then I have no idea what it is, since that's
pretty much all updfstab does, as far as I know. I also tried
installing with SELinux set to enabled, set as warnings, and booting
with selinux=0, and that had no effect. I'm going to try spinning a
FC2T2 disk with the kudzu from test1 (kudzu-1.1.41-1) and see if that
does anything. I'll probably also try an FC2T2 disk with the
kernel-2.6.1-1.65.
Comment 6 Eelco Hoekema 2004-04-12 14:51:26 EDT
One workaround seems to be pressing th 'I' for interactive startup,
and then press Y for everything but searching new hardware (Kudzu). 
That way i managed to boot my machine, and i installed a newer kernel
from development (2.6.5-1.309). 
With that kernel, it will boot. (But unfortunately, it won't start the
3Com network adapter that is on your board.)
Comment 7 Aaron VanDevender 2004-04-13 12:15:57 EDT
I started up in rescue mode and downgraded to kudzu-1.1.41-1 from test
1, and the restarted and everything booted normally, including the
3Com network adapter. Given Eelco's success in booting with a
different kernel seems to suggest that the problem isn't necessarily
with either the kernel or kudzu, but with the interaction between
them. I'll give kudzu-1.1.54-1 a try to see if things have improved
since test 2.
Comment 8 Eelco Hoekema 2004-04-13 13:28:11 EDT
I disabled the onboard LAN in the BIOS. After that, out-of-the-box
FC2T2 booted fine.  To sum it all up, it will boot when you:
- downgrade kudzu
- skip kudzu
- upgrade kernel
- disable onboard LAN

Comment 9 Arjan van de Ven 2004-04-13 13:34:21 EDT
ok that's the sk98lin driver which has a bug ;(
Comment 10 Gene Czarcinski 2004-04-14 13:45:02 EDT
With kernel-2.6.5-1.322 installed on ASUS SK8V and Opteron 140,
problems with kudzu and sk98lin appear fixed.
Comment 11 Eelco Hoekema 2004-04-14 16:01:40 EDT
I can confirm Gene's observation about kernel-2.6.5-1.322. On my Asus
A7V600 the problems with sk98lin seem to be fixed as well.

Note You need to log in before you can comment on or make changes to this bug.